.card {
	float: left;
	width: 390px;
	height: 390px;
	margin: 10px 0;
	position: relative;
	background-color: #fff;

	&:not(:nth-child(3n)) {
		margin-right: 10px;
	}

	&.card--tiny {
		@media (--tablet-horizontal-min) {
			width: 290px;
			height: 340px;
			margin-right: 10px;

			&:not(:nth-child(4n)) {
				margin-right: 6px;
			}
		}

		@media (--tablet-horizontal-only) {
			width: 230px;
			height: 270px;
		}
	}

	&.card--tall {
		@media (--tablet-horizontal-min) {
			height: 640px;
		}

		@media (--tablet-horizontal-only) {
			height: 520px;
		}
	}

	@media (--tablet-horizontal-only) {
		width: 310px;
		height: 320px;
	}

	@media (--tablet-vertical-only) {
		width: 100%;
		height: 200px;
		float: none;
		padding-left: 320px;
		padding-top: 10px;
	}

	@media (--mobile) {
		height: auto;
		width: 100%;
		float: none;
	}
}

.card__caption {
	position: absolute;
	bottom: 121px;
	left: 10px;
	height: 30px;
	clear: fix;
	z-index: 5;

	@nest .card--tiny & {
		bottom: 136px;

		@media (--tablet-horizontal-max) {
			bottom: 112px;
		}
	}

	@media (--tablet-horizontal-only) {
		height: 20px;
		bottom: 110px;
	}

	@media (--tablet-vertical-only) {
		position: static;
	}

	@media (--mobile) {
		bottom: auto;
		top: 192px;
	}
}

.card__category {
	float: left;
	height: 30px;
	padding: 0 10px;
	line-height: 33px;
	white-space: nowrap;
	position: relative;
	z-index: 20;
	background-color: #1f1f1f;
	text-transform: uppercase;
	color: var(--color-main);
	font-weight: 800;
	font-size: 12px;
	letter-spacing: 0.06em;
	transition: color 0.3s ease 0s;
	will-change: color;

	&:hover {
		color: #fff;
	}

	@media (--tablet-horizontal-max) {
		height: 20px;
		line-height: 22px;
		font-size: 10px;
		padding: 0 5px;
	}
}

.card__date {
	float: left;
	height: 30px;
	padding: 0 10px;
	line-height: 30px;
	white-space: nowrap;
	background-color: var(--color-main);
	text-transform: uppercase;
	color: #1f1f1f;
	font-size: 15px;
	font-family: var(--font-complemetary);
	overflow: hidden;
	position: relative;
	z-index: 10;
	transition:
		max-width 0.3s ease 0s,
		margin-left 0.3s ease 0s;
	will-change: max-width, margin-left;

	@media (--desktop-min) {
		max-width: 0;
		margin-left: -20px;
	}

	@nest .card:hover &,
	.feature:hover & {
		margin-left: 0;
		max-width: 100px;
	}

	@media (--tablet-horizontal-max) {
		height: 20px;
		line-height: 21px;
		font-size: 10px;
		padding: 0 5px;
	}
}

.card__image {
	width: 100%;
	height: 255px;
	position: relative;
	background-size: cover;
	background-color: #2d2d2d;
	background-repeat: no-repeat;
	background-position: center center;

	&::before {
		content: '';
		display: block;
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background-color: rgba(0, 0, 0, 0.4);
		opacity: 0;
		transition: opacity 0.3s ease 0s;
		will-change: opacity;
	}

	@nest .card__link:hover &::before {
		opacity: 1;
	}

	@nest .card--tall & {
		@media (--tablet-horizontal-min) {
			height: 510px;
		}

		@media (--tablet-horizontal-only) {
			height: 400px;
		}
	}

	@nest .card--tiny & {
		@media (--desktop-min) {
			height: 190px;
		}

		@media (--tablet-horizontal-only) {
			height: 150px;
		}
	}

	@media (--tablet-horizontal-only) {
		height: 200px;
	}

	@media (--tablet-vertical-only) {
		height: 100%;
		width: 310px;
		position: absolute;
		top: 0;
		left: 0;
	}

	@media (--mobile) {
		width: 100%;
		height: 205px;
	}
}

.card__title {
	margin: 25px 0 0;
	padding: 0 10px;
	color: #1f1f1f;
	font-weight: 800;
	font-size: 18px;
	line-height: 20px;
	transition: color 0.3s ease 0s;
	will-change: color;

	@nest .card__link:hover & {
		color: var(--color-main);
	}

	@media (--tablet-horizontal-max) {
		font-size: 16px;
		margin-top: 16px;
		font-size: 16px;
	}

	@media (--tablet-vertical-max) {
		margin-top: 0;
		padding: 0;
	}

	@media (--mobile) {
		padding: 0 10px 20px;
		margin: 20px 0 0;
	}
}
